'Newland.CityTheme:PressImage':
  superTypes:
    'Neos.NodeTypes:Page': true

  ui:
    label: Pressebild
    icon: file-image
    inspector:
      groups:
        pressimage:
          label: Einstellungen
          icon: file-image
        headerImage: ~

  options:
    template:
      childNodes:
        mainContentCollection:
          name: 'main'
          childNodes: ~

  properties:
    introTitle:
      ui: ~
    introTopline:
      ui: ~
    introText:
      ui: ~
    showHero:
      ui: ~
    heroTitle:
      ui: ~
    heroSubtitle:
      ui: ~
    heroImage:
      ui: ~

    title:
      type: string
      defaultValue: Press-Image
      ui:
        inlineEditable: true
    imageLocation:
      type: string
      ui:
        inlineEditable: true
        inline:
          editorOptions:
            placeholder: Location
    imageIntro:
      type: string
      ui:
        inlineEditable: true
        inline:
          editorOptions:
            autoparagraph: true
            placeholder: Pressebild Introtext
    termsOfUse:
      type: string
      ui:
        inlineEditable: true
    image:
      type: Neos\Media\Domain\Model\ImageInterface
      ui:
        label: Pressebild
        reloadIfChanged: true
        inspector:
          group: pressimage

  childNodes:
    items: ~